commit: 086963758e0c6c2f7de801e92f28631780f9a326
Author: Karlson2k (Evgeny Grin) <k2k <AT> narod <DOT> ru>
AuthorDate: Fri Feb 12 14:31:11 2021 +0000
Commit: Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Thu Feb 18 14:43:27 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=08696375
media-tv/kodi: added 'eventclients' USE flag
Added 'evenclients' USE flag to enable installation of all available
kodi eventclients.
At the same time, always enabled 'ENABLE_EVENTCLIENTS' Kodi parameter
to use built-in mechanism for installation of 'kodi-send'.
Signed-off-by: Karlson2k (Evgeny Grin) <k2k <AT> narod.ru>
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>
media-tv/kodi/kodi-9999.ebuild | 14 +++++++++++---
media-tv/kodi/metadata.xml | 1 +
2 files changed, 12 insertions(+), 3 deletions(-)
diff --git a/media-tv/kodi/kodi-9999.ebuild b/media-tv/kodi/kodi-9999.ebuild
index 4aa22367119..520779de8d8 100644
--- a/media-tv/kodi/kodi-9999.ebuild
+++ b/media-tv/kodi/kodi-9999.ebuild
@@ -39,7 +39,7 @@ SLOT="0"
# use flag is called libusb so that it doesn't fool people in thinking that
# it is _required_ for USB support. Otherwise they'll disable udev and
# that's going to be worse.
-IUSE="airplay alsa bluetooth bluray caps cec +css dav1d dbus gbm gles lcms
libressl libusb lirc mariadb mysql nfs +optical power-control pulseaudio
raspberry-pi samba +system-ffmpeg test udf udev udisks upnp upower vaapi vdpau
wayland webserver +X +xslt zeroconf"
+IUSE="airplay alsa bluetooth bluray caps cec +css dav1d dbus eventclients gbm
gles lcms libressl libusb lirc mariadb mysql nfs +optical power-control
pulseaudio raspberry-pi samba +system-ffmpeg test udf udev udisks upnp upower
vaapi vdpau wayland webserver +X +xslt zeroconf"
IUSE="${IUSE} cpu_flags_x86_sse cpu_flags_x86_sse2 cpu_flags_x86_sse3
cpu_flags_x86_sse4_1 cpu_flags_x86_sse4_2 cpu_flags_x86_avx cpu_flags_x86_avx2
cpu_flags_arm_neon"
REQUIRED_USE="
${PYTHON_REQUIRED_USE}
@@ -264,6 +264,7 @@ src_configure() {
-DENABLE_CEC=$(usex cec)
-DENABLE_DBUS=$(usex dbus)
-DENABLE_DVDCSS=$(usex css)
+ -DENABLE_EVENTCLIENTS=ON # alway enable to have 'kodi-send' and
filter extra staff in 'src_install()'
-DENABLE_INTERNAL_CROSSGUID=OFF
-DENABLE_INTERNAL_RapidJSON=OFF
-DENABLE_INTERNAL_FMT=OFF
@@ -343,6 +344,13 @@ src_install() {
dosym ../../../../fonts/roboto/Roboto-Thin.ttf \
usr/share/kodi/addons/skin.estuary/fonts/Roboto-Thin.ttf
- python_domodule tools/EventClients/lib/python/xbmcclient.py
- python_newscript "tools/EventClients/Clients/KodiSend/kodi-send.py"
kodi-send
+ if use !eventclients ; then
+ rm -f "${ED}"/usr/bin/kodi-ps3remote || die
+ rm -f "${D}"$(python_get_sitedir)/kodi/ps3_remote.py || die
+ rm -rf "${D}"$(python_get_sitedir)/kodi/ps3 || die
+ rm -rf "${D}"$(python_get_sitedir)/kodi/bt || die
+ rm -rf "${ED}"/usr/share/doc/${PF}/kodi-eventclients-dev || die
+ fi
+
+ python_optimize "${ED}$(python_get_sitedir)"
}
diff --git a/media-tv/kodi/metadata.xml b/media-tv/kodi/metadata.xml
index 70ff3d27f88..b33526329c7 100644
--- a/media-tv/kodi/metadata.xml
+++ b/media-tv/kodi/metadata.xml
@@ -11,6 +11,7 @@
<flag name="bluetooth">Enable JSON-RPC over BT for remote
control connected via bluetooth</flag>
<flag name="caps">Use <pkg>sys-libs/libcap</pkg> to bind to
privileged ports as non-root</flag>
<flag name="cec">Enable support for HDMI-CEC devices via
libcec</flag>
+ <flag name="eventclients">Install full set of Kodi python
evenclients and evenclients examples</flag>
<flag name="gbm">Use the Graphics Buffer Manager for EGL on
KMS.</flag>
<flag name="gles">Use simplified OpenGLES instead of full-scale
OpenGL</flag>
<flag name="lirc">Enable support for IR remote controls using
<pkg>app-misc/lirc</pkg></flag>